#include "touchsliderplugin.h"
#include "touchbuttframeplugin.h"
#include "touchbuttonplugin.h"
#include "tw.h"

TW::TW(QObject *parent)
        : QObject(parent)
{
    m_widgets.append(new TouchSliderPlugin(this));
    m_widgets.append(new TouchButtFramePlugin(this));
    m_widgets.append(new TouchButtonPlugin(this));
}

QList<QDesignerCustomWidgetInterface*> TW::customWidgets() const
{
    return m_widgets;
}

Q_EXPORT_PLUGIN2(twplugin, TW)
